LIST_FOR_EACH_SAFE(9)

NAME
list_for_each_safe - iterate over a list safe against removal of list entry

SYNOPSIS

list_for_each_safe (pos, n, head);

ARGUMENTS

pos the &struct list_head to use as a loop counter.

n   another &struct list_head to use as temporary storage

head
    the head for your list.